Please merge xscreensaver (5.26-1) from Debian unstable

Bug #1283459 reported by Mattia Rizzolo on 2014-02-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xscreensaver (Ubuntu)
Wishlist
Unassigned

Bug Description

Changes since the last upload:

xscreensaver (5.26-1) unstable; urgency=low

  * New upstream release 5.26, changes since 5.23:
    - Updated feed-loading for recent Flickr changes.
    - Updated `webcollage' for recent Google changes.
    - Added Instagram and Bing as `webcollage' image sources.
    - Updated to latest autoconf.
    - Bug fixes.
  * Drop patch applied upstream:
    - debian/patches/12_upstream_use_cppflags.patch
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Tormod Volden <email address hidden> Mon, 17 Feb 2014 20:34:28 +0100

xscreensaver (5.23-1) unstable; urgency=low

  * New upstream release 5.23 (Closes: #729311)
    - New hack, geodesic
    - More heuristics for using RSS feeds as image sources
    - Improved Wikipedia parser
    - Updated webcollage for recent Flickr changes
    - Added Android to bsod
    - Made quasicrystal work on weak graphics cards
    - Better compression on icons, plists and XML files
    - Reverted that DEACTIVATE change. Bad idea.
    - Phosphor now supports amber as well as green
  * Dropped patches applied upstream:
    - 12_upstream_quasicrystal_texture_width.patch
    - 14_upstream_hexadrop_keyboard_exit.patch
    - 15_upstream_activate_faster_nontty.patch
  * debian/patches/12_upstream_use_cppflags.patch:
    Make sure CPPFLAGS are used (fixes hardening warnings)
  * debian/control: Update VCS fields (fixes Lintian warning)

 -- Tormod Volden <email address hidden> Sat, 23 Nov 2013 20:47:28 +0100

xscreensaver (5.22-1) unstable; urgency=low

  * New upstream release 5.22 (Closes: #699833), changes since 5.15:
    - XInput devices now also ignore small mouse motions
    - Loading images via RSS feeds is much improved
    - Enlarged the texture image for lament
    - Made pipes be ridiculously less efficient, but spin
    - Added better mouse control to rubik, cube21, crackberg, and julia
    - Cosmetic improvements to queens and endgame
    - sonar can now ping local subnet on DHCP
    - Most savers now resize/rotate properly
    - New version of `fireworkx'
    - Minor fixes to `distort', `fontglide', `xmatrix'
    - New MacOS crash in `bsod'
    - New mode in `lcdscrub'
    - Gnome/KDE instructions updated in man page (Closes: #640640)
    - New --enable-pam-check-account-type option (Closes: #656766)
    - Fixed imageDirectory URL parsing. Closes: #714582 (LP: #1116006)
    - Use of AC_SYS_LARGEFILE fixes inode number overflow when accessing
      image files on cifs file systems (LP: #609451) Thanks Mamoru Tasaka!
    - New hacks: kaleidocycle, quasicrystal, unknownpleasures, hexadrop
    - Performance improvements for `interference'.
    - Fixed possible crashes in apple2, maze, pacman, polyominoes,
      fireworkx, engine (LP: #1196251)
    - Fix for `bumps' in 64 bit.
    - Fixed "Shake to Randomize"; display name of saver.
    - Fixed rotation problems with `pacman', `decayscreen'.
    - Better dragging in `fluidballs'.
    - Ignore rotation in hacks that don't benefit from it.
    - Ignore DEACTIVATE messages when locked, instead of popping up the
      password dialog box.
    - Fix format string glitch in xscreensaver-text (LP: #781948)
      (thanks Emanuel Bronshtein)
  * debian/patches: Split up 53_XScreenSaver.ad.in.patch into
    logically separated and better named patches
  * debian/patches/57_grabDesktopImages_default_off.patch:
    Do not reveal desktop content by default (Closes: #679974)
  * debian/patches/12_upstream_quasicrystal_texture_width.patch:
    Adjust texture width to graphics card/driver capability
  * debian/patches/14_upstream_hexadrop_keyboard_exit.patch:
    Allow keyboard exit when run standalone (from upstream)
  * debian/patches/15_upstream_activate_faster_nontty.patch:
    Activate faster when not from tty session (LP: #1229486)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * debian/rules: Drop unnecessary dh_testroot from clean target
    (thanks Julien Cristau)
  * debian/rules: Include buildflags.mk for hardening options
  * Stop xscreensaver in prerm instead of postrm (Closes: 681613)
    (thanks Filipus Klutiero)
  * New xscreensaver daemon wrapper used by the example .desktop file
    to determine correct "New login" command.
  * debian/copyright: Updated to comply with accepted standard
  * debian/control: Make short descriptions more consistent
  * debian/control: Migrate Conflicts: to Breaks:

 -- Tormod Volden <email address hidden> Tue, 01 Oct 2013 22:00:48 +0200

Mattia Rizzolo (mapreri) on 2014-02-22
Changed in xscreensaver (Ubuntu):
assignee: nobody → Mattia Rizzolo (mapreri)
status: New → In Progress
Adolfo Jayme (fitojb) on 2014-02-23
Changed in xscreensaver (Ubuntu):
importance: Undecided → Wishlist
Mattia Rizzolo (mapreri) wrote :

Here is the debdiff from the current debian unstable package 5.23-1.

Changed in xscreensaver (Ubuntu):
assignee: Mattia Rizzolo (mapreri) → nobody
status: In Progress → New
Mattia Rizzolo (mapreri) on 2014-03-05
summary: - Please merge xscreensaver (5.23-1) from Debian unstable
+ FFE: Please merge xscreensaver (5.23-1) from Debian unstable
description: updated

On Wed, Mar 05, 2014 at 08:54:24AM -0000, Launchpad Bug Tracker wrote:
> You have been subscribed to a public bug by Mattia Rizzolo (mapreri):
>
> I'm asking a FFE since there would be many new feature coming with this
> upload.

What testing have you done?

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Mattia Rizzolo (mapreri) wrote :

On Wed, Mar 5, 2014 at 10:18 AM, Iain Lane <email address hidden> wrote:
> What testing have you done?

Only installed on my system and have it running for a week now.

--
regards,
Mattia Rizzolo

GPG Key: 4096R/B9444540 http://goo.gl/I8TMB
more about me: http://mapreri.org
Launchpad User: https://launchpad.net/~mapreri
Ubuntu Wiki page: https://wiki.ubuntu.com/MattiaRizzolo

Unsubscribing sponsors as the FFe has not been approved yet. Please subscribe back once it is.

Mattia Rizzolo (mapreri) wrote :

Since some weeks ago the Debian maintainer uploaded a new version I merge it. Looking at the changelog seems a bugfix release, anyway I'm using it for a week and all is fine.

I hope I can hear a response from the release team soon.

description: updated
summary: - FFE: Please merge xscreensaver (5.23-1) from Debian unstable
+ FFE: Please merge xscreensaver (5.26-1) from Debian unstable

Now that trusty is over and we are in the utopic cycle, I submit the xscreenserver merge for utopic. Attached there are the same previous debdiff targeted to utopic.

summary: - FFE: Please merge xscreensaver (5.26-1) from Debian unstable
+ Please merge xscreensaver (5.26-1) from Debian unstable
Mattia Rizzolo (mapreri) on 2014-04-28
description: updated
Martin Pitt (pitti) wrote :

Hey Mattia,

there are a few nitpicks with this, and I figure as you are an aspiring MOTU I'd rather tell you about them than just fixing them.

 * The package has a Vcs-Bzr:, thus merges should be done against that branch. However, as it seems the desktop team pretty much lost interest in this and the last few commits were just retroactively committed, I'm actually in favor of reverting the Vcs-* change, leave Debian's git, and drop our ubuntu specific Vcs branch.

 * The extra or changed Replaces: were only necessary for earlier upgrades, that delta can be reverted now that trusty is out.

 * Since xscreensaver has not been installed on ubuntu/kubuntu/etc. for a long time, and is only being used in Mythbuntu and Ubuntustudio, I wonder whether the rather intrusive change for moving some screen savers between packages is still necessary. Perhaps you can ping the leads of these two derivatives to check whether we can drop this?

 * I suppose debian/xscreensaver.dirs isn't necessary, I'm fairly sure that the "make install" bits will create directories by themselves. (That needs to be double-checked of course)

Thanks!

Changed in xscreensaver (Ubuntu):
status: New → Incomplete
Mattia Rizzolo (mapreri) wrote :

Ok, so:

    * I reverted the changes to the Vcs-* fields
    * I reverted the changes to the splits
    * given the above, I removed the old Breaks/Replaces fileds and put a new set.

The d/xscreensaver.dirs is necessary per bug #129769.

I hope all is fine, especially the new Breaks/Replaces fileds!
(maybe the changelog is bad writted, I couldn't find anything better...)

Thanks Martin for the review!

Martin Pitt (pitti) wrote :

Thanks! I'll rearrange the changelog a bit to split between "dropped Ubuntu changes" and "remaining Ubuntu changes", as putting the former into the latter section is confusing. But this looks so much cleaner now.

Changed in xscreensaver (Ubuntu):
status: Incomplete → In Progress
Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package xscreensaver - 5.26-1ubuntu1

---------------
xscreensaver (5.26-1ubuntu1) utopic; urgency=low

  * Dropped Ubuntu changes:
    - Ubuntu delta to the screensavers sets.
    - Keep Debian Vcs-* links instead of the ~ubuntu-desktop team bzr
      repository: the Desktop team does not have interest any more.
    - The Ubuntu changes to the descriptions.
  * Merge from Debian unstable. (LP: #1283459) Remaining changes:
    - debian/control:
      + Breaks/Replaces: the old changes are not needed anymore, but the
        new changes the screensavers sets needs it.
    - debian/rules:
      + Use /usr/share/backgrounds as image directory.
      + Add translation domain to .desktop files.
    - debian/source_xscreensaver.py:
      + Add apport hook.
    - debian/xscreensaver.dirs:
      + Install /usr/share/backgrounds. By default, settings search in
        /usr/share/backgrounds and without it, it displays an error.
    - debian/patch/90_ubuntu-branding.patch: Use Ubuntu branding.
    - debian/patches/60_sequential_glslideshow.patch:
      + Allow going through images sequentially rather than just at random in
        the GLSlideshow hack.

xscreensaver (5.26-1) unstable; urgency=low

  * New upstream release 5.26, changes since 5.23:
    - Updated feed-loading for recent Flickr changes.
    - Updated `webcollage' for recent Google changes.
    - Added Instagram and Bing as `webcollage' image sources.
    - Updated to latest autoconf.
    - Bug fixes.
  * Drop patch applied upstream:
    - debian/patches/12_upstream_use_cppflags.patch
  * Bump Standards-Version to 3.9.5 (no changes needed)

xscreensaver (5.23-1) unstable; urgency=low

  * New upstream release 5.23 (Closes: #729311)
    - New hack, geodesic
    - More heuristics for using RSS feeds as image sources
    - Improved Wikipedia parser
    - Updated webcollage for recent Flickr changes
    - Added Android to bsod
    - Made quasicrystal work on weak graphics cards
    - Better compression on icons, plists and XML files
    - Reverted that DEACTIVATE change. Bad idea.
    - Phosphor now supports amber as well as green
  * Dropped patches applied upstream:
    - 12_upstream_quasicrystal_texture_width.patch
    - 14_upstream_hexadrop_keyboard_exit.patch
    - 15_upstream_activate_faster_nontty.patch
  * debian/patches/12_upstream_use_cppflags.patch:
    Make sure CPPFLAGS are used (fixes hardening warnings)
  * debian/control: Update VCS fields (fixes Lintian warning)

xscreensaver (5.22-1) unstable; urgency=low

  * New upstream release 5.22 (Closes: #699833), changes since 5.15:
    - XInput devices now also ignore small mouse motions
    - Loading images via RSS feeds is much improved
    - Enlarged the texture image for lament
    - Made pipes be ridiculously less efficient, but spin
    - Added better mouse control to rubik, cube21, crackberg, and julia
    - Cosmetic improvements to queens and endgame
    - sonar can now ping local subnet on DHCP
    - Most savers now resize/rotate properly
    - New version of `fireworkx'
    - Minor fixes to `distort', `fontglide', `xmatrix'
    - New MacOS crash in `bsod'
    - New mode in `lcdscrub'
    - Gnome/KD...

Read more...

Changed in xscreensaver (Ubuntu):
status: In Progress → Fix Released

On May 14, 2014 10:31 AM, "Martin Pitt" <email address hidden> wrote:
>
> Thanks!

Thank you for sponsoring the upload!

> I'll rearrange the changelog a bit to split between "dropped
> Ubuntu changes" and "remaining Ubuntu changes", as putting the former
> into the latter section is confusing.

Yeah, better now :)

Tormod Volden (tormodvolden) wrote :

Mattia, thanks for merging 5.26-1 ! However, have you seen the upgrade bug reports? There might be some missing Replaces. Example bug #1320592 and bug #1319433.

Mattia Rizzolo (mapreri) wrote :

On Sun, May 18, 2014 at 6:27 PM, Tormod Volden
<email address hidden> wrote:
> Mattia, thanks for merging 5.26-1 ! However, have you seen the upgrade
> bug reports? There might be some missing Replaces. Example bug #1320592
> and bug #1319433.

umh.. I wasn't aware of.
Thanks for bring them to my attention!

--
regards,
Mattia Rizzolo

GPG Key: 4096R/B9444540 http://goo.gl/I8TMB
more about me: http://mapreri.org
Launchpad User: https://launchpad.net/~mapreri
Ubuntu Wiki page: https://wiki.ubuntu.com/MattiaRizzolo

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers